	subroutine string_length(iLength,cString)

	character *80, cString

	iLength = 0 

	iFlag=0
	do ic=1,79
	  if (cString(ic:(ic+1)).eq.'  '.and.iFlag.eq.0) then
	    iLength=(ic-1)
	    iFlag=1
	  endif
	enddo

	return
	end
